安装

npm install -g truffle

 依赖

  • 推荐使用 NodeJS 5.0+.
  • 操作系统支持 Windows, Linux 和 Mac OS X

Truffle 需要本地启动一个 Ethereum 客户端, 支持标准 JSON RPC 接口 (基本所有客户端均支持). 有很多客户端可供选择, 一些对于开发环境来说更好用. 我们将在 如何选择 Ethereum 客户端 部分详细讨论如何选择客户端.

 Windows 用户需要注意的问题

如果你是要Windows运行 Truffle, 可能会遇到一些名字冲突问题, 导致Truffle运行失败. 参考 如何解决命名冲突 部分寻找解决方案.